/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Source Of Projection X-Ray Dose Information
 */
public enum EnumCV_SourceOfProjectionXRayDoseInformation {

	//Source Of Projection X-Ray Dose Information - CID 10020
	AUTOMATED_DATA_COLLECTION_113856("113856"),
	MANUAL_ENTRY_113857("113857"),
	MPPS_CONTENT_113858("113858"),
	DOSIMETER_A_2C090("A-2C090"),
	COPIED_FROM_IMAGE_ATTRIBUTES_113866("113866"),
	COMPUTED_FROM_IMAGE_ATTRIBUTES_113867("113867"),
	DERIVED_FROM_HUMAN_READABLE_REPORTS_113868("113868"),
	SYSTEM_CALCULATED_113940("113940");
	
	private String value;

	EnumCV_SourceOfProjectionXRayDoseInformation(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
